%if 0%{?fedora}
%global with_devel 1
%global with_unit_test 1
%else
%global with_devel 0
%global with_unit_test 0
%endif

#debuginfo not supported with Go
%global debug_package %{nil}
%global provider_tld com
%global provider github
%global project hawkular
%global repo %{project}-openshift-agent

%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

%global git0 https://github.com/%{project}/%{repo}
%global commit0 bf21b27fc1822b0922e22c7a9d5568a9d9466bc5
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%endif

Name: %{repo}
Version: 1.2.2
Release: 3%{?dist}
Summary: Hawkular feed in Go
License: ASL 2.0
URL: https://%{import_path}
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm} ppc64le s390x}
Source0: %{git0}/archive/%{commit0}.tar.gz
BuildRequires: git
BuildRequires: glibc-static
BuildRequires: golang >= 1.7.4

%description
%{summary}

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
mkdir -p GOPATH
pushd GOPATH
  mkdir -p src/%{provider}.%{provider_tld}/%{project}
  ln -s $(dirs +1 -l) src/%{import_path}
popd

pushd GOPATH/src/%{import_path}
export GOPATH=%{gopath}:$(pwd)/GOPATH
make build
popd

%install
install -dp %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%doc RELEASING.adoc README.adoc
%{_bindir}/%{name}

%changelog
* Thu Nov 16 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 1.2.2-2
- Rebuilt for multi-arch enablement

* Wed Feb 15 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1.2.2-1
- bump to 1.2.2

* Wed Feb 08 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1.2.0-1
- bump to 1.2.0

* Wed Jan 18 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1.0.0-1
- First package
